Skip to navigation

Create Term

Create terms that should be matched in the text. The term types are:

  • preferred: this is the preferred term for the associated term set
  • prohibited: this term should not be used to talk about the term set

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

term_set_idstringRequiredformat: "uuid"
UUID of the term set

Request

This endpoint expects an object.
termstringRequired
typeenumRequired
Allowed values:
case_sensitivebooleanOptionalDefaults to false

Response

Successful Response
idstringformat: "uuid"
termstring
typeenum
Allowed values:
created_atdatetime
updated_atdatetime
case_sensitivebooleanOptionalDefaults to false
created_bystring or nullOptional
updated_bystring or nullOptional

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error